SCHEMA2LDIF(1)

NAME
schema2ldif - Tool for converting OpenLDAP-style schemas to the LDIF format

SYNOPSIS
schema2ldif [options] [FILE] > file.ldif

DESCRIPTION
schema2ldif will read the given input file and convert it to an LDIF file that you can insert into your LDAP directory. If FILE is not provided, will read from standard input. In this case, cn option is mandatory. Otherwise, the name of the file (without extension) will be used as cn.

OPTIONS

-h, --help
    Print a brief help message and exits.

-c, --cn=CN
    Use CN as cn for the schema (mandatory if no file provided)

-b, --branch=BRANCH
    Use BRANCH instead of cn=schema,cn=config

BUGS
Please report any bugs, or post any suggestions, to the fusiondirectory mailing list fusiondirectory-users or to <https://forge.fusiondirectory.org/projects/schema2ldif/issues/new>

AUTHOR
Come Bernigaud

LICENCE AND COPYRIGHT

Copyright (C) 2013-2017 FusionDirectory project

License BSD

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the LICENSE file for more details.